Content Source setting on host group is not inherited when provisioning hosts
Description

Associated revisions

Revision fe207f49 - 08/31/2014 05:44 AM - Daniel Lobato Garcia

Fixes #6773 - Host inherits Content Source from Hostgroup

Revision 71a484b4 - 09/10/2014 01:59 PM - Stephen Benjamin
Merge pull request #4570 from eLobato/6773

Fixes #6773 - Host inherits Content Source from Hostgroup

History

#1 - 07/24/2014 12:10 PM - Dominic Cleal
- Bugzilla link set to 1121096

#2 - 08/04/2014 10:35 AM - Eric Helms
- Category set to 83
- Difficulty set to easy

- Triaged changed from No to Yes

#3 - 08/12/2014 03:31 AM - Ohad Levy

- Assignee changed from Joseph Magen to Daniel Lobato Garcia

#4 - 08/12/2014 06:35 PM - Daniel Lobato Garcia

Note: Content source inheritance from host group to host does work when it's inherited from the host group ancestry. l.e:

Inheriting content source from "samplehostgroup” directly won't work.
Inheriting content source from "samplehostgroup/child" which inherits content source from "samplehostgroup” DOES work. This happens because of
a wrong implementation of inherited_content_source_id in hostgroup_extensions in Katello.

#5 - 08/12/2014 09:22 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/4570 added
- Pull request deleted ()

#6 - 08/20/2014 08:20 AM - Eric Helms

- Target version changed from 56 to 55
#7 - 09/08/2014 08:11 AM - Eric Helms

- Target version changed from 55 to 56

#8 - 09/10/2014 02:01 PM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|fe207f49ea7c7ce5b0b52c6d1f3a06b90fca3sb7.

#9 - 09/15/2014 02:19 PM - Eric Helms

- translation missing: en.field_release set to 13
